<template>
<div class="player-list-item">
	<div>{{ name }}</div>
	<div
		v-if="!this.ai"
		:class="ready_classes"
	>{{ ready ? "READY" : "NOT READY" }}</div>
</div>
</template>

<script>
export default {
	computed: {
		ready_classes () {
			return {
				"button": true,
				"not-ready": !this.ready,
				"ready": this.ready
			}
		}
	},
	name: "player-list-item",
	props: [ "id", "ai", "name", "ready" ]
}
</script>

<style lang="less" scoped>
.button {
	border-radius: 1em;
	font-size: .75em;
	padding: .25em;
	text-align: center;
	width: 6em;
}

.not-ready {
	background-color: #cc2222;
}

.player-list-item {
	align-items: center;
	display: flex;
	flex-direction: column;
	padding: .5em;
	white-space: nowrap;

	&:not(last-child) {
		border-bottom: 1px #777 solid;
	}
}

.ready {
	background-color: #22cc22;
}
</style>